Skip to main content
POST
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
products
/
tax
Create new taxgroup
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/products/tax \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tax_id": "vmva1",
  "tax_group": "Vmva-høy",
  "description": "Taxgroup for food. Currently 12%",
  "amount": 10000,
  "percentage": 12,
  "tax_code": 3
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "tax_id": "vmva1",
  "tax_group": "Vmva-høy",
  "description": "Taxgroup for food. Currently 12%",
  "amount": 10000,
  "percentage": 12,
  "tax_code": 3
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json

tax_group

tax_id
string

The id you have defined for the taxgroup (must not have training or leading spaces). An auto-generated tax_id will be created if not provided

Maximum string length: 255
Example:

"vmva1"

tax_group
string

The taxgroup name which is usually shown

Example:

"Vmva-høy"

description
string
Example:

"Taxgroup for food. Currently 12%"

amount
number
Example:

10000

percentage
number
Example:

12

tax_code
string
Example:

3

Response

Taxgroup created

id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
tax_id
string
read-only

The id you have defined for the taxgroup (must not have training or leading spaces). An auto-generated tax_id will be created if not provided

Example:

"vmva1"

tax_group
string

The taxgroup name which is usually shown

Example:

"Vmva-høy"

description
string
Example:

"Taxgroup for food. Currently 12%"

amount
number
Example:

10000

percentage
number
Example:

12

tax_code
string
Example:

3